Межсайтовый скриптинг в JBoss Web Console

Дата публикации:
15.12.2009
Дата изменения:
15.12.2009
Всего просмотров:
1818
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
JBoss AS 5.x
Уязвимые версии: JBoss AS версии 5.1.0GA и 4.2.2GA, возможно другие версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "monitorName", "objectName", "attribute" и "period" в сценарии createSnapshot.jsp и в параметрах "monitorName", "objectName", "attribute", "threshold", "period" и "enabled" в сценарии createThresholdMonitor.jsp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: jboss.org

Решение: Установите последнюю версию с сайта производителя.

или введите имя

CAPTCHA